# TODO: Corrosion https://github.com/corrosion-rs/corrosion
#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	%{version}
# packages version, not cmake config version (which is 5.24.5)
%define		ka_ver		%{version}
%define		kf_ver		5.105.0
%define		qt_ver		5.15.2
%define		kaname		akonadi-search
Summary:	Akonadi Search
Summary(pl.UTF-8):	Komponent wyszukiwania dla Akonadi
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	6b7a2c0afc7d235e51d3294ff5b3a684
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-devel >= %{ka_ver}
BuildRequires:	ka5-akonadi-mime-devel >= %{ka_ver}
BuildRequires:	ka5-kmime-devel >= %{ka_ver}
BuildRequires:	kf5-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf5-kcalendarcore-devel >= %{kf_ver}
BuildRequires:	kf5-kcmutils-devel >= %{kf_ver}
BuildRequires:	kf5-kconfig-devel >= %{kf_ver}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kf_ver}
BuildRequires:	kf5-kcontacts-devel >= %{kf_ver}
BuildRequires:	kf5-kcrash-devel >= %{kf_ver}
BuildRequires:	kf5-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf5-ki18n-devel >= %{kf_ver}
BuildRequires:	kf5-kio-devel >= %{kf_ver}
BuildRequires:	kf5-krunner-devel >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xapian-core-devel
BuildRequires:	xz
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	ka5-akonadi >= %{ka_ver}
Requires:	ka5-akonadi-mime >= %{ka_ver}
Requires:	ka5-kmime >= %{ka_ver}
Requires:	kf5-kcalendarcore >= %{kf_ver}
Requires:	kf5-kconfig >= %{kf_ver}
Requires:	kf5-kcontacts >= %{kf_ver}
Requires:	kf5-ki18n >= %{kf_ver}
Requires:	kf5-krunner >= %{kf_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries and daemons to implement searching in Akonadi.

%description -l pl.UTF-8
Biblioteki i demony do implementowania wyszukiwania w Akonadi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qt_ver}
Requires:	ka5-akonadi-devel >= %{ka_ver}
Requires:	ka5-akonadi-mime-devel >= %{ka_ver}
Requires:	ka5-kmime-devel >= %{ka_ver}
Requires:	kf5-kcalendarcore-devel >= %{kf_ver}
Requires:	kf5-kcontacts-devel >= %{kf_ver}
Requires:	kf5-kcoreaddons-devel >= %{kf_ver}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang akonadi_search

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f akonadi_search.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/akonadi_indexing_agent
%attr(755,root,root) %{_bindir}/akonadi_html_to_text
%attr(755,root,root) %{_libdir}/libKPim5AkonadiSearchCore.so.*.*.*
%ghost %{_libdir}/libKPim5AkonadiSearchCore.so.5
%attr(755,root,root) %{_libdir}/libKPim5AkonadiSearchDebug.so.*.*.*
%ghost %{_libdir}/libKPim5AkonadiSearchDebug.so.5
%attr(755,root,root) %{_libdir}/libKPim5AkonadiSearchPIM.so.*.*.*
%ghost %{_libdir}/libKPim5AkonadiSearchPIM.so.5
%attr(755,root,root) %{_libdir}/libKPim5AkonadiSearchXapian.so.*.*.*
%ghost %{_libdir}/libKPim5AkonadiSearchXapian.so.5
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_pimcontacts.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/kcms/kcm_krunner_pimcontacts.so
%attr(755,root,root) %{_libdir}/qt5/plugins/pim5/akonadi/akonadi_search_plugin.so
%attr(755,root,root) %{_libdir}/qt5/plugins/pim5/akonadi/calendarsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/pim5/akonadi/contactsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/pim5/akonadi/emailsearchstore.so
%attr(755,root,root) %{_libdir}/qt5/plugins/pim5/akonadi/notesearchstore.so
%{_datadir}/akonadi/agents/akonadiindexingagent.desktop
%{_datadir}/qlogging-categories5/akonadi-search.categories
%{_datadir}/qlogging-categories5/akonadi-search.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim5AkonadiSearchCore.so
%{_libdir}/libKPim5AkonadiSearchDebug.so
%{_libdir}/libKPim5AkonadiSearchPIM.so
%{_libdir}/libKPim5AkonadiSearchXapian.so
%{_includedir}/KPim5/AkonadiSearch
%{_libdir}/cmake/KPim5AkonadiSearch
%changelog
* Wed Oct 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadi-search.git;a=log;h=master

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> ddb4cb1
- release 2

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> b01356a
- updated dependencies

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 33d55da
- macros for ninja

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 1f91aef
- pl, cleanup

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 378e1f8
- added -devel dependencies (from cmake config)

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f5e9af5
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0955881
- Revert "- 24.01.95"

* Tue Feb 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ca9a211
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 70a06ef
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d842a4b
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ea800d4
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3366d77
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 832ee81
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 160d1b3
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> fada668
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2418961
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e71a318
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f4e1398
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a992c89
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 245ab8f
- updated to 22.12.2

